package jpatp.lazy;

import java.io.Serializable;
import javax.persistence.*;

/**
 * @author Tomo Nagasawa
 * 
 */

@Entity
@Table(name = "EMPLOYEE")
public class Employee implements Serializable
{

    /**
     * 
     */
    private static final long serialVersionUID = 1528386163590933777L;

    @Id
    @Column(name = "ID")
    private int id;

    @Column(name = "NAME")
    private String name;

    @Column(name = "DEPARTMENT_ID")
    private int department;

    public Employee(int id, String name, int department)
    {
        this.id = id;
        this.name = name;
        this.department = department;
    }

    public Employee()
    {}

    public int getId()
    {
        return id;
    }

    public void setId(int ID)
    {
        this.id = ID;
    }

    public void setName(String NAME)
    {
        this.name = NAME;
    }

    public String getName()
    {
        return name;
    }

    public void setDepartment(int DEPARTMENT)
    {
        this.department = DEPARTMENT;
    }

    public int getDepartment()
    {
        return department;
    }
}
